summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorAhmed Abdelhalim <[email protected]>2026-04-10 15:53:50 +0200
committerAhmed Abdelhalim <[email protected]>2026-04-10 16:43:18 +0200
commit3401122f1f31d7b762156790b016d9184d2a9ba3 (patch)
tree0d4bc4903dbf0c315cebb7d8a5c147ba0dd6d56c
parentf8340579263acd10e62ca5013b3ae26d9a7cbf7a (diff)
Replace gradia on archlinux with satty
-rw-r--r--configure.yml1
-rwxr-xr-xroles/hyprland/files/scripts/screenshot.sh20
-rw-r--r--roles/hyprland/tasks/main.yml3
-rw-r--r--roles/hyprland/templates/hypr/bindings.conf.j24
-rw-r--r--roles/nautilus/tasks/main.yml1
5 files changed, 26 insertions, 3 deletions
diff --git a/configure.yml b/configure.yml
index c285c2c7..c3a23571 100644
--- a/configure.yml
+++ b/configure.yml
@@ -33,7 +33,6 @@
- role: "gnome-planify"
- role: "gnome-disk-utility"
- role: "gnome-newsflash"
- - role: "gradia"
- role: "mpv"
- role: "neomutt"
- role: "go"
diff --git a/roles/hyprland/files/scripts/screenshot.sh b/roles/hyprland/files/scripts/screenshot.sh
new file mode 100755
index 00000000..9fcbe12b
--- /dev/null
+++ b/roles/hyprland/files/scripts/screenshot.sh
@@ -0,0 +1,20 @@
+#!/bin/bash
+set -euo pipefail
+
+MODE="${1:-"--region"}"
+
+case "${MODE}" in
+ "--region")
+ hyprshot -m region -r -
+ ;;
+ "--window")
+ hyprshot -m window -r -
+ ;;
+ *)
+ echo -e "Usage:"
+ echo -e " --window to screenshot a window application"
+ echo -e " --region to screenshot a screen region"
+ exit 0
+ ;;
+
+esac | satty --filename - --disable-notifications --output-filename "$(xdg-user-dir PICTURES)/screenshot-%Y%m%d_%H%M%S.png"
diff --git a/roles/hyprland/tasks/main.yml b/roles/hyprland/tasks/main.yml
index e5e16b00..7a25e7c2 100644
--- a/roles/hyprland/tasks/main.yml
+++ b/roles/hyprland/tasks/main.yml
@@ -9,6 +9,7 @@
- "hyprpicker"
- "hyprsunset"
- "hyprshot"
+ - "satty"
- "hyprland"
state: "present"
@@ -126,3 +127,5 @@
dest: "/etc/hypr/scripts/bluetooth.sh"
- src: "scripts/power.sh"
dest: "/etc/hypr/scripts/power.sh"
+ - src: "scripts/screenshot.sh"
+ dest: "/etc/hypr/scripts/screenshot.sh"
diff --git a/roles/hyprland/templates/hypr/bindings.conf.j2 b/roles/hyprland/templates/hypr/bindings.conf.j2
index ee38d806..fecefe24 100644
--- a/roles/hyprland/templates/hypr/bindings.conf.j2
+++ b/roles/hyprland/templates/hypr/bindings.conf.j2
@@ -78,5 +78,5 @@ bindl = , XF86AudioPlay, exec, playerctl play-pause
bindl = , XF86AudioPrev, exec, playerctl previous
# Screenshot
-bindd = SUPER SHIFT, 3, Screenshot window, exec, hyprshot -m window
-bindd = SUPER SHIFT, 4, Screenshot region, exec, hyprshot -m region
+bindd = SUPER SHIFT, 3, Screenshot window, exec, /etc/hypr/scripts/screenshot.sh --window
+bindd = SUPER SHIFT, 4, Screenshot region, exec, /etc/hypr/scripts/screenshot.sh --region
diff --git a/roles/nautilus/tasks/main.yml b/roles/nautilus/tasks/main.yml
index 46ce0244..f0ef3f4a 100644
--- a/roles/nautilus/tasks/main.yml
+++ b/roles/nautilus/tasks/main.yml
@@ -6,6 +6,7 @@
state: "present"
loop:
- "nautilus"
+ - "xdg-user-dirs"
- name: "Set nautilus as default file manager"
ansible.builtin.command: